---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ComboBoxRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ComboBoxRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ComboBoxRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ComboBoxRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ComboBoxRenderer.png" usemap="#tgui::ComboBoxRenderer_map" alt=""/>
  <map id="tgui::ComboBoxRenderer_map" name="tgui::ComboBoxRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,151,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="161,0,312,24"/>
<area href="classtgui_1_1WidgetPadding.html" title="Parent class for every widget that has padding. " alt="tgui::WidgetPadding" shape="rect" coords="322,0,473,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adaf6d43c1900b5fd1ad2b5a188c68173"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#adaf6d43c1900b5fd1ad2b5a188c68173">ComboBoxRenderer</a> (<a class="el" href="classtgui_1_1ComboBox.html">ComboBox</a> *comboBox)</td></tr>
<tr class="memdesc:adaf6d43c1900b5fd1ad2b5a188c68173"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adaf6d43c1900b5fd1ad2b5a188c68173">More...</a><br /></td></tr>
<tr class="separator:adaf6d43c1900b5fd1ad2b5a188c68173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37656f056c150841a4f59961cd4fe4d9"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a37656f056c150841a4f59961cd4fe4d9">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a37656f056c150841a4f59961cd4fe4d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a37656f056c150841a4f59961cd4fe4d9">More...</a><br /></td></tr>
<tr class="separator:a37656f056c150841a4f59961cd4fe4d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e2ebed19f22c49e36e8426789c89ed"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ab9e2ebed19f22c49e36e8426789c89ed">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:ab9e2ebed19f22c49e36e8426789c89ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#ab9e2ebed19f22c49e36e8426789c89ed">More...</a><br /></td></tr>
<tr class="separator:ab9e2ebed19f22c49e36e8426789c89ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea828ffd1ed85775f691e39ee7129a57"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aea828ffd1ed85775f691e39ee7129a57">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:aea828ffd1ed85775f691e39ee7129a57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#aea828ffd1ed85775f691e39ee7129a57">More...</a><br /></td></tr>
<tr class="separator:aea828ffd1ed85775f691e39ee7129a57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf51545530c9fe63b8523fd5b1fab765"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aaf51545530c9fe63b8523fd5b1fab765">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:aaf51545530c9fe63b8523fd5b1fab765"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#aaf51545530c9fe63b8523fd5b1fab765">More...</a><br /></td></tr>
<tr class="separator:aaf51545530c9fe63b8523fd5b1fab765"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4100e57fc0eac294d8ad6d0df1e77742"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a4100e57fc0eac294d8ad6d0df1e77742">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;backgroundColor)</td></tr>
<tr class="memdesc:a4100e57fc0eac294d8ad6d0df1e77742"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color that will be used inside the combo box.  <a href="#a4100e57fc0eac294d8ad6d0df1e77742">More...</a><br /></td></tr>
<tr class="separator:a4100e57fc0eac294d8ad6d0df1e77742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011572d0e3ac48cc5d2554fd37a2aa47"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a011572d0e3ac48cc5d2554fd37a2aa47">setArrowBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a011572d0e3ac48cc5d2554fd37a2aa47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the arrow that will be used inside the combo box.  <a href="#a011572d0e3ac48cc5d2554fd37a2aa47">More...</a><br /></td></tr>
<tr class="separator:a011572d0e3ac48cc5d2554fd37a2aa47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae431629cc9fde2eb2e33b5add67e2ffb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ae431629cc9fde2eb2e33b5add67e2ffb">setArrowBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ae431629cc9fde2eb2e33b5add67e2ffb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the arrow when the mouse is not on top of the combo box.  <a href="#ae431629cc9fde2eb2e33b5add67e2ffb">More...</a><br /></td></tr>
<tr class="separator:ae431629cc9fde2eb2e33b5add67e2ffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7a136e8fb73f6ff10e652059fe16b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a8f7a136e8fb73f6ff10e652059fe16b1">setArrowBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a8f7a136e8fb73f6ff10e652059fe16b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the arrow when the mouse is standing on top of the combo box.  <a href="#a8f7a136e8fb73f6ff10e652059fe16b1">More...</a><br /></td></tr>
<tr class="separator:a8f7a136e8fb73f6ff10e652059fe16b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99dc2e9fea53f2bdc0451630aa7a828e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a99dc2e9fea53f2bdc0451630aa7a828e">setArrowColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a99dc2e9fea53f2bdc0451630aa7a828e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color of the arrow that will be used inside the combo box.  <a href="#a99dc2e9fea53f2bdc0451630aa7a828e">More...</a><br /></td></tr>
<tr class="separator:a99dc2e9fea53f2bdc0451630aa7a828e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa86cde37d3cc0ed1592167d239aabfd7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aa86cde37d3cc0ed1592167d239aabfd7">setArrowColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aa86cde37d3cc0ed1592167d239aabfd7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color of the arrow when the mouse is not on top of the combo box.  <a href="#aa86cde37d3cc0ed1592167d239aabfd7">More...</a><br /></td></tr>
<tr class="separator:aa86cde37d3cc0ed1592167d239aabfd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8db8cd3e6c7bd8404d2e21f93b78d23"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ac8db8cd3e6c7bd8404d2e21f93b78d23">setArrowColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ac8db8cd3e6c7bd8404d2e21f93b78d23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color of the arrow when the mouse is standing on top of the combo box.  <a href="#ac8db8cd3e6c7bd8404d2e21f93b78d23">More...</a><br /></td></tr>
<tr class="separator:ac8db8cd3e6c7bd8404d2e21f93b78d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53fed40438ba136bbe51bf3ba4a33c49"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a53fed40438ba136bbe51bf3ba4a33c49">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;textColor)</td></tr>
<tr class="memdesc:a53fed40438ba136bbe51bf3ba4a33c49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used inside the combo box.  <a href="#a53fed40438ba136bbe51bf3ba4a33c49">More...</a><br /></td></tr>
<tr class="separator:a53fed40438ba136bbe51bf3ba4a33c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8e5cb6077fa73debc5ad75c69992350"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aa8e5cb6077fa73debc5ad75c69992350">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;borderColor)</td></tr>
<tr class="memdesc:aa8e5cb6077fa73debc5ad75c69992350"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the border color text that will be used inside the combo box.  <a href="#aa8e5cb6077fa73debc5ad75c69992350">More...</a><br /></td></tr>
<tr class="separator:aa8e5cb6077fa73debc5ad75c69992350"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e36c0ee44a8d80b69110a71900933d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a23e36c0ee44a8d80b69110a71900933d">setBackgroundTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a23e36c0ee44a8d80b69110a71900933d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background image.  <a href="#a23e36c0ee44a8d80b69110a71900933d">More...</a><br /></td></tr>
<tr class="separator:a23e36c0ee44a8d80b69110a71900933d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad067f37aaa08f5e2ac2631e420840827"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ad067f37aaa08f5e2ac2631e420840827">setArrowUpTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ad067f37aaa08f5e2ac2631e420840827"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the arrow up image.  <a href="#ad067f37aaa08f5e2ac2631e420840827">More...</a><br /></td></tr>
<tr class="separator:ad067f37aaa08f5e2ac2631e420840827"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58e274e07f394dd8ce2291988b1b8390"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a58e274e07f394dd8ce2291988b1b8390">setArrowDownTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a58e274e07f394dd8ce2291988b1b8390"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the arrow down image.  <a href="#a58e274e07f394dd8ce2291988b1b8390">More...</a><br /></td></tr>
<tr class="separator:a58e274e07f394dd8ce2291988b1b8390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146484ad9a4ab20781e54e772ba5bb66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a146484ad9a4ab20781e54e772ba5bb66">setArrowUpHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a146484ad9a4ab20781e54e772ba5bb66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the arrow up image when the mouse is on top of the arrow.  <a href="#a146484ad9a4ab20781e54e772ba5bb66">More...</a><br /></td></tr>
<tr class="separator:a146484ad9a4ab20781e54e772ba5bb66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5fb925886aa84bf92e008c2cda56dfd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#af5fb925886aa84bf92e008c2cda56dfd">setArrowDownHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:af5fb925886aa84bf92e008c2cda56dfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the arrow down image when the mouse is on top of the arrow.  <a href="#af5fb925886aa84bf92e008c2cda56dfd">More...</a><br /></td></tr>
<tr class="separator:af5fb925886aa84bf92e008c2cda56dfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459ddff34fba6a99a292adbe2204424a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a459ddff34fba6a99a292adbe2204424a">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders) override</td></tr>
<tr class="memdesc:a459ddff34fba6a99a292adbe2204424a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a459ddff34fba6a99a292adbe2204424a">More...</a><br /></td></tr>
<tr class="separator:a459ddff34fba6a99a292adbe2204424a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbc611e85ad1f30b87580bc86345a48"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a4fbc611e85ad1f30b87580bc86345a48">setPadding</a> (const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;padding) override</td></tr>
<tr class="memdesc:a4fbc611e85ad1f30b87580bc86345a48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the padding of the list box.  <a href="#a4fbc611e85ad1f30b87580bc86345a48">More...</a><br /></td></tr>
<tr class="separator:a4fbc611e85ad1f30b87580bc86345a48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a9b9aeb2fe53fa9b148eb56fb7b5175"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1ListBoxRenderer.html">ListBoxRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a9a9b9aeb2fe53fa9b148eb56fb7b5175">getListBox</a> () const </td></tr>
<tr class="memdesc:a9a9b9aeb2fe53fa9b148eb56fb7b5175"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer of the list box.  <a href="#a9a9b9aeb2fe53fa9b148eb56fb7b5175">More...</a><br /></td></tr>
<tr class="separator:a9a9b9aeb2fe53fa9b148eb56fb7b5175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetPadding"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetPadding')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td></tr>
<tr class="memitem:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a> (float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td></tr>
<tr class="memdesc:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a865dcb475db3ef518b601846045c9212">More...</a><br /></td></tr>
<tr class="separator:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a> (float width, float height)</td></tr>
<tr class="memdesc:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#abba6165c8b9220c6bf904446a0c7f262">More...</a><br /></td></tr>
<tr class="separator:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a> () const </td></tr>
<tr class="memdesc:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the padding.  <a href="#ab1c34add1232dc4cd8dca0ebc4dc8a20">More...</a><br /></td></tr>
<tr class="separator:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adaf6d43c1900b5fd1ad2b5a188c68173"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ComboBoxRenderer::ComboBoxRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ComboBox.html">ComboBox</a> *&#160;</td>
          <td class="paramname"><em>comboBox</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">comboBox</td><td>The combo box that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9a9b9aeb2fe53fa9b148eb56fb7b5175"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1ListBoxRenderer.html">ListBoxRenderer</a>&gt; tgui::ComboBoxRenderer::getListBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the renderer of the list box. </p>
<dl class="section return"><dt>Returns</dt><dd>The list box used to display all the items </dd></dl>

</div>
</div>
<a class="anchor" id="aea828ffd1ed85775f691e39ee7129a57"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ComboBoxRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aaf51545530c9fe63b8523fd5b1fab765"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ComboBoxRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a011572d0e3ac48cc5d2554fd37a2aa47"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the arrow that will be used inside the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow background of the combo box</td></tr>
  </table>
  </dd>
</dl>
<p>This will overwrite the color in both normal and hover states.</p>
<p>This color will be ignored when a up and down image were loaded for the normal state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ae431629cc9fde2eb2e33b5add67e2ffb" title="Set the background color of the arrow when the mouse is not on top of the combo box. ">setArrowBackgroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ComboBoxRenderer.html#a8f7a136e8fb73f6ff10e652059fe16b1" title="Set the background color of the arrow when the mouse is standing on top of the combo box...">setArrowBackgroundColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8f7a136e8fb73f6ff10e652059fe16b1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the arrow when the mouse is standing on top of the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow background in hover state</td></tr>
  </table>
  </dd>
</dl>
<p>This color will be ignored when a up and down image were loaded for the normal state. </p>

</div>
</div>
<a class="anchor" id="ae431629cc9fde2eb2e33b5add67e2ffb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the arrow when the mouse is not on top of the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow background in normal state</td></tr>
  </table>
  </dd>
</dl>
<p>This color will be ignored when a up and down image were loaded for the normal state. </p>

</div>
</div>
<a class="anchor" id="a99dc2e9fea53f2bdc0451630aa7a828e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color of the arrow that will be used inside the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow of the combo box</td></tr>
  </table>
  </dd>
</dl>
<p>This will overwrite the color in both normal and hover states.</p>
<p>This color will be ignored when a up and down image were loaded for the normal state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aa86cde37d3cc0ed1592167d239aabfd7" title="Set the color of the arrow when the mouse is not on top of the combo box. ">setArrowColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ComboBoxRenderer.html#ac8db8cd3e6c7bd8404d2e21f93b78d23" title="Set the color of the arrow when the mouse is standing on top of the combo box. ">setArrowColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ac8db8cd3e6c7bd8404d2e21f93b78d23"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color of the arrow when the mouse is standing on top of the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow in hover state</td></tr>
  </table>
  </dd>
</dl>
<p>This color will be ignored when a up and down image were loaded for the normal state. </p>

</div>
</div>
<a class="anchor" id="aa86cde37d3cc0ed1592167d239aabfd7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color of the arrow when the mouse is not on top of the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color of the arrow in normal state</td></tr>
  </table>
  </dd>
</dl>
<p>This color will be ignored when a up and down image were loaded for the normal state. </p>

</div>
</div>
<a class="anchor" id="af5fb925886aa84bf92e008c2cda56dfd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowDownHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the arrow down image when the mouse is on top of the arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New arrow down hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a58e274e07f394dd8ce2291988b1b8390"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowDownTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the arrow down image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New arrow down texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the up image are set, the arrow color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a146484ad9a4ab20781e54e772ba5bb66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowUpHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the arrow up image when the mouse is on top of the arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New arrow up hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="ad067f37aaa08f5e2ac2631e420840827"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setArrowUpTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the arrow up image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New arrow up texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the down image are set, the arrow color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a4100e57fc0eac294d8ad6d0df1e77742"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>backgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color that will be used inside the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">backgroundColor</td><td>The color of the background of the combo box</td></tr>
  </table>
  </dd>
</dl>
<p>This color will be ignored when a background image was set. </p>

</div>
</div>
<a class="anchor" id="a23e36c0ee44a8d80b69110a71900933d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setBackgroundTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New background texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image is set, the background color property will be ignored. Pass an empty string to unset the image, in this case the background color property will be used again. </p>

</div>
</div>
<a class="anchor" id="aa8e5cb6077fa73debc5ad75c69992350"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>borderColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the border color text that will be used inside the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borderColor</td><td>The color of the borders </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a459ddff34fba6a99a292adbe2204424a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ComboBoxRenderer::setBorders </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td>
          <td class="paramname"><em>borders</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borders</td><td>The size of the borders </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">tgui::WidgetBorders</a>.</p>

</div>
</div>
<a class="anchor" id="a4fbc611e85ad1f30b87580bc86345a48"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ComboBoxRenderer::setPadding </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;&#160;</td>
          <td class="paramname"><em>padding</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the padding of the list box. </p>
<p>This padding will be scaled together with the background image. If there is no background image, or when 9-slice scaling is used, the padding will be exactly what you pass here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">padding</td><td>The padding width and height </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding</a>.</p>

</div>
</div>
<a class="anchor" id="a37656f056c150841a4f59961cd4fe4d9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ComboBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ab9e2ebed19f22c49e36e8426789c89ed"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ComboBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a53fed40438ba136bbe51bf3ba4a33c49"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ComboBoxRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>textColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used inside the combo box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textColor</td><td>The color of the text </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="ComboBox_8hpp_source.html">ComboBox.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
